/*
                            Configuration List
 */

#ifndef CFGLIST_H
#define CFGLIST_H


/*
 *	Configuration item parameter names:
 */
#define CFG_PARM_VERSION_MAJOR			"VersionMajor"
#define CFG_PARM_VERSION_MINOR			"VersionMinor"
#define CFG_PARM_VERSION_RELEASE		"VersionRelease"

#define CFG_PARM_PLAY_ON_OPEN			"PlayOnOpen"
#define CFG_PARM_AUTO_CHANGE_AUDIO		"AutoChangeAudio"
#define CFG_PARM_REPEATING			"Repeating"
#define CFG_PARM_RECORDER			"Recorder"

#define CFG_PARM_WIN_X				"WinX"
#define CFG_PARM_WIN_Y				"WinY"
#define CFG_PARM_WIN_SHOW_DISPLAY		"WinShowDisplay"
#define CFG_PARM_WIN_SHOW_VOLUME		"WinShowVolume"
#define CFG_PARM_WIN_SHOW_STATUS_BAR		"WinShowStatusBar"
#define CFG_PARM_WIN_DISPLAY_STYLE		"WinDisplayStyle"


/*
 *	Configuration List:
 */
#define CFG_LIST	{					\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_MAJOR, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_MINOR, NULL },		\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_VERSION_RELEASE, NULL },	\
								\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_PLAY_ON_OPEN, NULL },		\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_AUTO_CHANGE_AUDIO, NULL },	\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_REPEATING, NULL },		\
{ CFG_ITEM_TYPE_STRING, CFG_PARM_RECORDER, NULL },		\
								\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_X, NULL },			\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_Y, NULL },			\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_WIN_SHOW_DISPLAY, NULL },	\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_WIN_SHOW_VOLUME, NULL },	\
{ CFG_ITEM_TYPE_UINT8, CFG_PARM_WIN_SHOW_STATUS_BAR, NULL },	\
{ CFG_ITEM_TYPE_INT32, CFG_PARM_WIN_DISPLAY_STYLE, NULL },	\
								\
/* Last item must be all 0's. */				\
{ CFG_ITEM_TYPE_NONE, NULL, NULL }				\
}


#endif	/* CFGLIST_H */
