#ifndef WINCB_H
#define WINCB_H

#include <gtk/gtk.h>
#include "win.h"


extern void WinListItemDestroyCB(gpointer data);

extern gint WinDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern gint WinOPIDEnterEventCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);
extern gint WinOPIDLeaveEventCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);

extern void WinToolBarItemCB(
	toolbar_item_struct *item, gint id, gpointer data
);
extern void WinToolBarItemEnterCB(
	toolbar_item_struct *item, gint id, gpointer data
);
extern void WinToolBarItemLeaveCB(
	toolbar_item_struct *item, gint id, gpointer data
);

extern gint WinManageTOCB(gpointer data);

extern gint WinEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern gint WinDpyEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern gint WinDSPViewEventCB(
        GtkWidget *widget, GdkEvent *event, gpointer data
);

extern gint WinScaleEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void WinPositionValueChangedCB(GtkAdjustment *adj, gpointer data);
extern void WinVolumeValueChangedCB(GtkAdjustment *adj, gpointer data);


#endif	/* WINCB_H */
